/* main-visual */
.main-visual {
    height: 250vh; 
    background-color: #00A2FF;
    position: relative;
}

.main-visual .sticky-container {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.main-visual .bg-logo {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 5; 
}
.main-visual  .bg-cha {
    position: absolute;
    z-index: 9;
    bottom: 0;
}
.main-visual .fly-text {
    position: absolute;
    left: 50%;
    font-size: 6.875rem;
    font-weight: 100;
    white-space: nowrap;
    z-index: 10; 
    transform: translate(-50%, -50%); 
    transition: transform 0.1s linear; 
    will-change: transform;
    font-family: var(--font-point2);
}

.main-visual .text-left { top: 44%; color: #fff; }
.main-visual .text-right { top: 56%; color: #fff; font-weight: 700; }

.main-visual .scroll-down {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    padding: 20px 30px;
    border: 1px solid #fff;
    border-radius: 50px;
    font-weight: bold;
    z-index: 20;
    cursor: pointer;
    animation: bounce 2s infinite;
    font-family: var(--font-point);
    color: #fff;
    transition: all 0.3s linear; 
}
.main-visual .scroll-down:hover {
    background: #fff;
    color: #00A2FF;
}
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {transform: translateX(-50%) translateY(0);}
    40% {transform: translateX(-50%) translateY(-10px);}
    60% {transform: translateX(-50%) translateY(-5px);}
}
/* main-visual */

/* circle */
.video-scroll-section {
    height: 250vh;
    position: relative;
    background: #000;
}

.video-scroll-section .sticky-wrapper {
position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.video-scroll-section .bg-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
    opacity: 0.8;
}

.video-scroll-section .fixed-center-text {
    position: relative;
    z-index: 30; /* 원(20)보다 높아야 함 */
    text-align: center;
    color: #fff;
    width: 100%;
    max-width: 1400px; /* 넓은 폭 확보 */
    height: 0; /* 높이를 0으로 하여 중앙 정렬 기준점만 잡음 */
    display: flex;
    justify-content: center;
    align-items: center;
}
.video-scroll-section .msg-title {
    position: absolute; /* 위치 고정 */
    font-size: 5rem;
    font-weight: 700;
    line-height: 1.2; /* 줄간격 조정 */
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-family: var(--font-point2);
    text-align: center;
    /* 전체 위치 잡아주기 */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
}
.video-scroll-section .msg-title .line-mask {
    display: block;
    overflow: hidden; /* 영역 밖의 텍스트 숨김 */
    margin-bottom: 5px; /* 줄 사이 간격 */
}
.video-scroll-section .msg-title span {
    display: block;
    opacity: 0;
    /* 초기 상태: 100% 아래로 내려가 있어서 마스크에 가려 안 보임 */
    transform: translate3d(0, 100%, 0); 
    will-change: transform, opacity;
}
.video-scroll-section .msg-desc {
    position: absolute; /* 겹치기 위해 절대위치 */
    display: flex;
    flex-direction: column;
    font-size: 2.5rem; /* 타이틀보다 조금 작게 */
    font-weight: 500;
    line-height: 1.4;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-family: var(--font-point);
}
.video-scroll-section .msg-desc span {
    display: block;
    opacity: 0; /* JS로 제어 */
    transform: translateY(20px); /* 살짝 아래에서 올라오는 느낌 */
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.video-scroll-section .circle-ring {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1000px;
    height: 1000px;
    margin-left: -500px; 
    margin-top: -500px;
    
    background: transparent;
    border: 180px solid #FFD633; 
    
    border-radius: 50%;
    opacity: 0.5;
    transform: scale(0);
    z-index: 20;
    pointer-events: none;
}
/* circle */

/* routine */
.routine-section {
    position: relative;
    overflow: hidden;
    padding: 150px 0;
}

.section-header {
    text-align: center;
    padding-bottom: 100px;
}
.section-header h2 {
    font-size: 5.313rem;
    font-weight: 800;
    font-family: var(--font-point2);
}

.routine-section .swiper-slide .txt-box {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    gap: 0;
    height: inherit;
    justify-content: space-between;
    padding: 80px 0 110px 70px;
}
.routine-section .swiper-slide .txt-box .title {
    color: #fff;
    font-weight: 300;
    font-family: var(--font-point2);
    font-size: 3rem;
    line-height: 1.2;
}
.routine-section .view-more {
    padding: 15px 20px;
    border-radius: 50px;
    font-size: 1rem;
    transition: all 0.3s;
    width: fit-content;
    background: #fff;
    color: #262626;
    font-family: var(--font-point);
    font-weight: 900;
    letter-spacing: -0.20px;
    transition: all 0.3s linear; 
}
.routine-section .swiper-slide:hover .view-more {
    background: #262626;
    color: #fff;
}
.routine-section .slide-img {
    width: 100%; height: 100%;
    object-fit: contain;
}
.routine-section .nav-controls {
    margin-top: 50px;
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: center;
}
.routine-section .nav-btn {
    width: 50px; height: 50px;
    border: 1px solid rgba(255,255,255,0.5);
    border-radius: 50%;
    display: flex;
    justify-content: center; align-items: center;
    cursor: pointer;
    transition: all 0.3s;
    font-size: 1.5rem;
    background: #000;
    color: #fff;

}
.routine-section .nav-controls .view-more  {
    background: #000; 
    color: #fff;
    height: 50px;
    padding: 0 25px;
    line-height: 50px;
    transition: all 0.3s linear;
}
.routine-section .nav-controls .view-more:hover {
    background: #00A2FF;
}
/* routine */

/* card */
.card-scroll-wrapper {
    position: relative;
    width: 100%;
}
.card-scroll-wrapper .fixed-background {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh; 
    background-color: rgba(77, 203, 52, 0.1);
    color: #4DCB34;
    display: flex;
    flex-direction: column; 
    align-items: center;
    justify-content: center;
    z-index: 0; 
}
.card-scroll-wrapper .bg-text {
    text-align: center;
    font-family: var(--font-point2);
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.card-scroll-wrapper .bg-text .bg-title {
    font-size: 6.875rem;
    line-height: 1;
    text-transform: uppercase;
}
.card-scroll-wrapper .bg-text .bg-desc {
    font-size: 1.875rem;
    line-height: 1.5;
    padding: 20px 0;
}
.card-scroll-wrapper .scroll-content {
    position: relative;
    z-index: 1; 
    margin-top: -10vh;
    padding-bottom: 100px;
    display: flex;
    flex-direction: column;
    gap: 100px;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    align-items: flex-end;
}

.card-scroll-wrapper .card {
    width: 500px;
    height: 500px;
    background-color: #ccc;
    background-size: cover;
    background-position: center;
    position: relative; 
    cursor: pointer;
    border-radius: 45px;
    overflow: hidden;
     transition: transform 0.3s ease; 
}
.card-scroll-wrapper .card.even {
    margin-right: auto;
}
.card-scroll-wrapper .card.fir { background-image: url('../images/main/card-img-01.png');}
.card-scroll-wrapper .card.sec { background-image: url('../images/main/card-img-02.png');}
.card-scroll-wrapper .card.thi {margin-right: 150px; background-image: url('../images/main/card-img-03.png');}
.card-scroll-wrapper .card.fur {margin-left: 100px; background-image: url('../images/main/card-img-04.png');}
.card-scroll-wrapper .card.fif {margin-right: 50px; background-image: url('../images/main/card-img-05.png');}
.card-scroll-wrapper .card::after {
    content: '';
    position: absolute;
    inset: 0; 
    background-color: rgba(0, 0, 0, 0.5); 
    transition: opacity 0.3s ease; 
}

.card-scroll-wrapper .card:hover::after {
    opacity: 0;
}
.card-scroll-wrapper .card:hover {transform: scale(1.03);}
.card-scroll-wrapper .card-title {
    position: relative;
    z-index: 2;
    color: #fff;
    font-size: 1.875rem;
    font-weight: 400;
    font-style: italic;
    font-family: var(--font-point2);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    text-align: center;
}
/* card */

/* community */
.community {
    background-color: #262626;
    padding-top: 150px;
    padding-bottom: 100px;
    width: 100%;
    overflow: hidden; 
}

.community .section-header {padding-bottom: 150px;}
.community .section-header h2 {
    color: #fff;
}
.community .comm-container {
    width: 100%;
}

.community .comm-row {
    display: flex;
    justify-content: center;
    gap: 30px;
    width: 120%; 
    margin-left: -10%; 
}

.community .comm-box {
    flex: 1;
    max-width: 490px; 
    height: 350px;
    background-color: #00A2FF;
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 50px;
    color: #fff;
    font-family: var(--font-point2);
    padding-bottom: 30px;
    animation: moveUpDown 4s infinite ease-in-out;
}

.community .comm-box.even {
    padding-top: 30px;
    margin-top: -50px; 
    animation: moveDownUp 4s infinite ease-in-out;
    justify-content: flex-start;
}
.community .comm-box img {transition: transform 0.3s ease; }
.community .comm-box:hover img {
    transform: scale(1.3);
}
.community .comm-box i { font-size: 50px; }
.community .comm-box span { 
    font-size: 4.5rem; 
    font-weight: 800; 
}

/* @keyframes moveUpDown {
    0%, 100% { transform: translateY(0); }
    40% { transform: translateY(-25px); } 
    70% { transform: translateY(15px); }  
}

@keyframes moveDownUp {
    0%, 100% { transform: translateY(0); }
    40% { transform: translateY(25px); }  
    70% { transform: translateY(-15px); }
} */

.community .ticker-wrapper {
    margin-top: 100px;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
}

.community .ticker-text {
    animation: tickerLoop 10s linear infinite;
    margin-bottom: -15px;
}

.community .ticker-text span {
    display: inline-block;
    color: #00A2FF;
    font-size: 6.875rem;
    font-family: var(--font-point2);
    font-style: italic;
    font-weight: 900;
    padding-right: 50px;
}

@keyframes tickerLoop {
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); }
}
@media (max-width: 1200px) {
    .comm-row { width: 140%; margin-left: -20%; }
}
/* community */

